Package org.eclipse.emf.cdo.server.db.mapping

# Interface IListMappingUnitSupport

All Superinterfaces:
  `IFeatureMapping`, `IListMapping`

public interface IListMappingUnitSupport extends IListMapping
Interface to complement `IListMapping` in order to provide unit support.

Since:
  4.4
Author:
  Eike Stepper

## Method Summary

Modifier and Type
Method
Description
`default ITypeMapping`
`getTypeMapping()`
`ResultSet`
`queryUnitEntries(IDBStoreAccessor accessor, IIDHandler idHandler, long timeStamp, CDOID rootID)`
`void`
`readUnitEntries(ResultSet resultSet, IIDHandler idHandler, CDOID id, org.eclipse.net4j.util.collection.MoveableList<Object> list)`

### Methods inherited from interface org.eclipse.emf.cdo.server.db.mapping.IListMapping

`getDBTables, getDBType, getFeature, getField, objectDetached, queryXRefs, readChunks, readValues, writeValues`

## Method Details

### getTypeMapping

default ITypeMapping getTypeMapping()

Specified by:
  `getTypeMapping` in interface `IFeatureMapping`
Specified by:
  `getTypeMapping` in interface `IListMapping`
Returns:
  The type mapping which is used for this feature mapping.
Since:
  4.14

### queryUnitEntries

ResultSet queryUnitEntries(IDBStoreAccessor accessor, IIDHandler idHandler, long timeStamp, CDOID rootID) throws SQLException

Throws:
  `SQLException`

### readUnitEntries

void readUnitEntries(ResultSet resultSet, IIDHandler idHandler, CDOID id, org.eclipse.net4j.util.collection.MoveableList<Object> list) throws SQLException

Throws:
  `SQLException`